Package org.eclipse.emf.cdo.spi.common.commit

## Interface InternalCDOCommitInfoManager.CommitInfoLoader

- All Known Subinterfaces:
    `CDOSessionProtocol`, `IDBStoreAccessor`, `ILissomeStoreAccessor`, `IMongoDBStoreAccessor`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`, `IStoreAccessor`, `IStoreAccessor.Raw`, `IStoreAccessor.Raw2`, `IStoreAccessor.UnitSupport`
  All Known Implementing Classes:
    `LongIDStoreAccessor`, `StoreAccessor`, `StoreAccessorBase`
  Enclosing interface:
    InternalCDOCommitInfoManager

      public static interface InternalCDOCommitInfoManager.CommitInfoLoader

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCommitData` | `loadCommitData​(long timeStamp)` |
    `void` | `loadCommitInfos​(CDOBranch branch, long startTime, long endTime, CDOCommitInfoHandler handler)` |

- - ### Method Detail

    - #### loadCommitInfos

          void loadCommitInfos​(CDOBranch branch,
                               long startTime,
                               long endTime,
                               CDOCommitInfoHandler handler)

    - #### loadCommitData

          CDOCommitData loadCommitData​(long timeStamp)